digiKam Developer Documentation: ShowFoto::ShowfotoInfoIface Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ShowFoto::ShowfotoInfoIface Class Reference
Inheritance diagram for ShowFoto::ShowfotoInfoIface:

## Public Member Functions
| ShowfotoInfoIface (QObject *const parent, const QList< QUrl > &lst, const QUrl &currentActive)
void | openSetupPage (SetupPage page) override
| Open configuration dialog page.
Public Member Functions inherited from Digikam::DMetaInfoIface
| DMetaInfoIface (QObject *const parent, const QList< QUrl > &lst, const QUrl &currentActive)
QList< QUrl > | allAlbumItems () const override
QUrl | currentActiveItem () const override
QList< QUrl > | currentAlbumItems () const override
QList< GPSItemContainer * > | currentGPSItems () const override
QList< QUrl > | currentSelectedItems () const override
| Low level items and albums methods.
QUrl | defaultUploadUrl () const override
| Url to upload new items without to use album selector.
void | deleteImage (const QUrl &url) override
| Manipulate with item.
DInfoMap | itemInfo (const QUrl &) const override
void | parseAlbumItemsRecursive () override
void | setItemInfo (const QUrl &, const DInfoMap &) override
Q_SIGNAL void | signalItemChanged (const QUrl &url)
Q_SIGNAL void | signalRemoveImageFromAlbum (const QUrl &)
Q_SLOT void | slotDateTimeForUrl (const QUrl &url, const QDateTime &dt, bool updModDate) override
| Slot to call when date time stamp from item is changed.
Q_SLOT void | slotMetadataChangedForUrl (const QUrl &url) override
| Slot to call when something in metadata from item is changed.
bool | supportAlbums () const override
QUrl | uploadUrl () const override
QWidget * | uploadWidget (QWidget *const parent) const override
| Album selector view methods (to upload items from an external place).
Public Member Functions inherited from Digikam::DInfoInterface
| DInfoInterface (QObject *const parent)
virtual QMap< QString, QString > | passShortcutActionsToWidget (QWidget *const) const
| Pass extra shortcut actions to widget and return prefixes of shortcuts.
Q_SIGNAL void | signalAlbumItemsRecursiveCompleted (const QList< QUrl > &imageList)
Q_SIGNAL void | signalColorLabelNamesUpdated (const QMap< int, QString > &labels)
| Signal emitted when color label names are updated (digiKam only).
Q_SIGNAL void | signalSetupChanged ()
Q_SIGNAL void | signalShortcutPressed (const QString &shortcut, int val)
virtual QAbstractItemModel * | tagFilterModel ()
| Return an instance of tag filter model if host application support this feature, else null pointer.
virtual QList< QUrl > | albumItems (int) const
virtual QList< QUrl > | albumsItems (const DAlbumIDs &) const
virtual DInfoMap | albumInfo (int) const
virtual void | setAlbumInfo (int, const DInfoMap &) const
Q_SIGNAL void | signalLastItemUrl (const QUrl &)
virtual QWidget * | albumChooser (QWidget *const parent) const
| Albums chooser view methods (to use items from albums before to process).
virtual DAlbumIDs | albumChooserItems () const
Q_SIGNAL void | signalAlbumChooserSelectionChanged ()
Q_SIGNAL void | signalUploadUrlChanged ()
Q_SIGNAL void | signalImportedImage (const QUrl &)

## Additional Inherited Members
Public Types inherited from Digikam::DInfoInterface
typedef QList< int > | DAlbumIDs
| List of Album ids.
typedef QMap< QString, QVariant > | DInfoMap
| Map of properties name and value.
enum | SetupPage { ExifToolPage = 0 , ImageQualityPage }
Public Attributes inherited from Digikam::DInfoInterface
bool | forceAlbumSelection = false

## Member Function Documentation

## ◆ openSetupPage()

void ShowFoto::ShowfotoInfoIface::openSetupPage | ( | SetupPage | page | ) |
| overridevirtual

Reimplemented from Digikam::DInfoInterface.